# Uses of Class
javafx.scene.input.GestureEvent

Packages that use GestureEvent
Package
Description
javafx.scene.input
Provides the set of classes for mouse and keyboard input event handling.

## Uses of GestureEvent in javafx.scene.input

Subclasses of GestureEvent in javafx.scene.input
Modifier and Type
Class
Description
`final class`
`RotateEvent`
Rotate event indicates that user performed rotating gesture such as dragging two fingers around each other on track pad, touch screen or other similar device.
`final class`
`ScrollEvent`
Scroll event indicates that user performed scrolling by mouse wheel, track pad, touch screen or other similar device.
`final class`
`SwipeEvent`
Swipe event indicates that user performed a swipe gesture such as dragging a finger in one direction on touch screen.
`final class`
`ZoomEvent`
Zoom event indicates that user performed zooming gesture such as dragging two fingers apart on track pad, touch screen or other similar device.
Fields in javafx.scene.input with type parameters of type GestureEvent
Modifier and Type
Field
Description
`static final EventType<GestureEvent>`
GestureEvent.`ANY`
Common supertype for all gestures.
Methods in javafx.scene.input that return GestureEvent
Modifier and Type
Method
Description
`GestureEvent`
GestureEvent.`copyFor(Object newSource, EventTarget newTarget)`
Creates and returns a copy of this event with the specified event source and target.
Methods in javafx.scene.input that return types with arguments of type GestureEvent
Modifier and Type
Method
Description
`EventType<? extends GestureEvent>`
GestureEvent.`getEventType()`
Constructor parameters in javafx.scene.input with type arguments of type GestureEvent
Modifier
Constructor
Description
`protected`
`GestureEvent(Object source, EventTarget target, EventType<? extends GestureEvent> eventType)`
Deprecated.
Do not use this constructor.
`protected`
`GestureEvent(Object source, EventTarget target, EventType<? extends GestureEvent> eventType, double x, double y, double screenX, double screenY, boolean shiftDown, boolean controlDown, boolean altDown, boolean metaDown, boolean direct, boolean inertia, PickResult pickResult)`
Constructs new GestureEvent event.
`protected`
`GestureEvent(EventType<? extends GestureEvent> eventType)`
Deprecated.
Do not use this constructor.
`protected`
`GestureEvent(EventType<? extends GestureEvent> eventType, double x, double y, double screenX, double screenY, boolean shiftDown, boolean controlDown, boolean altDown, boolean metaDown, boolean direct, boolean inertia, PickResult pickResult)`
Constructs new GestureEvent event with empty source and target